#!/usr/bin/env python
__version__ = '0.1.0'
__date__    = '2008-07-23'
__author__  = 'sio2 (sio2 AT free DOT fr)'
__license__ = 'GPLv2'

from sys import argv,exit
from os.path import join as path_join, dirname
import os
import statvfs

dtemp = path_join(dirname(argv[0]),'temp')

minDiskSpace = int(argv[1])

fs = os.statvfs(dtemp)

if fs[statvfs.F_BAVAIL]*fs[statvfs.F_FRSIZE]/(1024*1024) < minDiskSpace:
   exit(1)
