#!/usr/bin/env python
#
# Basado en el script queuemanager.py de Steffano Stabellini:
#   http://www.stabellini.net/rtorrent-howto.txt
__version__ = '0.1.0'
__date__    = '2008-07-21'
__author__  = 'sio2 (sio2 AT free DOT fr)'
__license__ = 'GPLv2'

from sys    import argv
from glob   import glob
from shutil import move
from os.path import join as path_join, dirname
import stat
import os

try:
   maxDownloads = int(argv[1])
except:
   maxDownloads = 3

dbase   = dirname(argv[0])

watch   = path_join(dbase,'watch')
session = path_join(dbase,'session')
queue   = path_join(dbase,'queue')

sfiles = glob(path_join(session,'*.torrent'))
if len(sfiles) < maxDownloads:
   qfiles = glob(path_join(queue,'*.torrent'))
   oldestTime = None
   for f in qfiles:
      ftime = os.stat(f)[stat.ST_MTIME]
      if oldestTime == None or oldestTime > ftime:
         dfile,oldestTime  = f,ftime
   try:
      move(dfile,watch)
   except:
      pass
   else:
      print "%s ----> %s" % (dfile,watch)
